org.keycloak.models.map.realm.entity

## Class MapComponentEntity

- java.lang.Object
- - org.keycloak.models.map.realm.entity.MapComponentEntity

- All Implemented Interfaces:
    UpdatableEntity

      public class MapComponentEntity
      extends Object
      implements UpdatableEntity

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `static MapComponentEntity` | `fromModel(ComponentModel model)`
    `MultivaluedHashMap<String,String>` | `getConfig()`
    `String` | `getId()`
    `String` | `getName()`
    `String` | `getParentId()`
    `String` | `getProviderId()`
    `String` | `getProviderType()`
    `String` | `getSubType()`
    `int` | `hashCode()`
    `boolean` | `isUpdated()` Flag signalizing that any of the setters has been meaningfully used.
    `void` | `setConfig(MultivaluedHashMap<String,String> config)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setParentId(String parentId)`
    `void` | `setProviderId(String providerId)`
    `void` | `setProviderType(String providerType)`
    `void` | `setSubType(String subType)`
    `static ComponentModel` | `toModel(MapComponentEntity entity)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### fromModel

          public static MapComponentEntity fromModel(ComponentModel model)

    - #### toModel

          public static ComponentModel toModel(MapComponentEntity entity)

    - #### isUpdated

          public boolean isUpdated()

      Description copied from interface: `UpdatableEntity`
      Flag signalizing that any of the setters has been meaningfully used.
      Specified by:
        `isUpdated` in interface `UpdatableEntity`
      Returns:

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getProviderId

          public String getProviderId()

    - #### setProviderId

          public void setProviderId(String providerId)

    - #### getProviderType

          public String getProviderType()

    - #### setProviderType

          public void setProviderType(String providerType)

    - #### getSubType

          public String getSubType()

    - #### setSubType

          public void setSubType(String subType)

    - #### getParentId

          public String getParentId()

    - #### setParentId

          public void setParentId(String parentId)

    - #### getConfig

          public MultivaluedHashMap<String,String> getConfig()

    - #### setConfig

          public void setConfig(MultivaluedHashMap<String,String> config)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.